Upgrade from kilo to liberty fails

Bug #1506826 reported by Liam Young on 2015-10-16
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
horizon (Ubuntu)
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned

Bug Description

Upgrading openstack-dashboard fails.

2015-10-16 10:34:53 INFO config-changed The following packages have unmet dependencies:
2015-10-16 10:34:53 INFO config-changed openstack-dashboard-ubuntu-theme : Depends: openstack-dashboard (= 1:2015.1.1-0ubuntu1~cloud2) but 2:8.0.0~rc1-0ubuntu1~cloud0 is installed
20

Reproduce:

$ cat config.yaml
openstack-dashboard:
  openstack-origin: cloud:trusty-kilo

$ juju deploy --config config.yaml openstack-dashboard

$ juju set openstack-dashboard openstack-origin='cloud:trusty-liberty'

James Page (james-page) wrote :

The postrm script does not tidy cleanly, causing stuff to be left around which results in an error when configuring openstack-dashboard-ubuntu-theme

Changed in horizon (Ubuntu):
status: New → Confirmed
James Page (james-page) wrote :

The problem is that the old postrm is being called with no conditionality on the actions it takes; its doing a remove/purge all of the time, when infact its being called with 'upgrade' which then fails due to the interim state of files on disk.

I think the right fix is to only perform the steps in the postrm for remove/purge - upgrade can be an no-op as the collect/compress will happen in the postinst.

Changed in horizon (Ubuntu Vivid):
status: New → Confirmed
importance: Undecided → High
Changed in horizon (Ubuntu Wily):
importance: Undecided → High
Changed in horizon (Ubuntu Wily):
status: Confirmed → Fix Committed
Changed in horizon (Ubuntu Vivid):
status: Confirmed → Fix Committed
Corey Bryant (corey.bryant) wrote :

Moving to Triaged state due to upload rejection. The fix needs a little more work.

Changed in horizon (Ubuntu Vivid):
status: Fix Committed → Triaged
Changed in horizon (Ubuntu Wily):
status: Fix Committed → Triaged
Changed in horizon (Ubuntu Vivid):
status: Triaged → Fix Committed
Changed in horizon (Ubuntu Wily):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 2:8.0.0-0ubuntu2

---------------
horizon (2:8.0.0-0ubuntu2) wily; urgency=medium

  * d/openstack-dashboard-ubuntu-theme.postrm: Ensure that purge and
    reload of static assets is only done on purge/remove, resolving
    problems when upgrading to new versions (LP: #1506826).

 -- James Page <email address hidden> Fri, 16 Oct 2015 14:20:47 +0100

Changed in horizon (Ubuntu Wily):
status: Fix Committed → Fix Released

Hello Liam, or anyone else affected,

Accepted horizon into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/horizon/1:2015.1.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2015.1.2-0ubuntu1

---------------
horizon (1:2015.1.2-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Resynchronize with stable/kilo (5b9bdca) (LP: #1506058):
    - [5b9bdca] Use security group id not name in the create instance dialog
    - [74d885f] Fix not opening region selector on first click
    - [b8e1ce8] Neutron Quota Settings Flag Disables Neutron GUI
    - [853f0ec] Fix inability to switch region via Switch Region dropdown
    - [0b3c92d] Updated from global requirements
    - [d6be306] Fix a unit test for create instance
    - [8ed7624] Compatibility fix for pyscss 1.3.4
    - [7c8fc8f] Skip test_routerrule_detail blocking the gate
    - [fea681e] Remove 'shared' from Neutron Firewall table
    - [1d20ea0] Fix static file paths in heat topology view
    - [8da65b6] Don't get descript if attribute doesn't exist.
    - [905e92b] Fix attribute error with old glance backend
    - [c079705] Added correct URL to edit QoS spec
    - [900ca63] Updated from global requirements
    - [3becb61] Port cleanup on failed VM instance launch
    - [b84218d] N1Kv: Fix failing network and port creates
    - [0f9d94e] Add OPENSTACK_NOVA_EXTENSIONS_BLACK

  [ Corey Byrant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.
  * d/openstack-dashboard-ubuntu-theme.postrm: Ensure that purge and
    reload of static assets is only done on purge/remove, resolving
    problems when upgrading to new versions (LP: #1506826).

 -- Chuck Short <email address hidden> Tue, 20 Oct 2015 10:41:52 -0400

Changed in horizon (Ubuntu Vivid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers